case node['platform_family']
when 'rhel', 'amazon'
else
	default['nagios']['home']          = '/usr/lib/nagios'
	default['nagios']['conf_dir']      = '/etc/nagios'
	default['nagios']['resource_dir']  = '/etc/nagios'
	default['nagios']['config_dir']    = '/etc/nagios/conf.d'
	default['nagios']['log_dir']       = '/var/log/nagios'
	default['nagios']['cache_dir']     = '/var/cache/nagios'
	default['nagios']['state_dir']     = '/var/lib/nagios'
	default['nagios']['run_dir']       = '/var/run/nagios'
	default['nagios']['docroot']       = '/usr/share/nagios/htdocs'
	default['nagios']['cgi-bin']       = '/usr/lib/cgi-bin/nagios'
end
# platform specific atttributes
case node['platform_family']
when 'debian'
	default['nagios']['server']['install_method'] = 'source'
	default['nagios']['server']['service_name']   = 'nagios'
	default['nagios']['cgi-path'] = "/cgi-bin/#{node['nagios']['server']['service_name']}"
end

default['nagios']['ssl_cert_file'] = "#{node['nagios']['conf_dir']}/certificates/nagios-server.pem"
default['nagios']['ssl_cert_key']  = "#{node['nagios']['conf_dir']}/certificates/nagios-server.pem"
default['nagios']['ssl_req']       = '/C=US/ST=Several/L=Locality/O=Example/OU=Operations/' \
  "CN=#{node['nagios']['server_name']}/emailAddress=ops@#{node['nagios']['server_name']}"

default['nagios']['server']['url']       = 'https://assets.nagios.com/downloads/nagioscore/releases/nagios-4.3.4.tar.gz'
default['nagios']['server']['checksum']  = 'c90b7812d9e343db12be19a572e15c415c5d6353a91c5e226e432c2d4aaa44f1'
default['nagios']['server']['src_dir']   = node['nagios']['server']['url'].split('/')[-1].chomp('.tar.gz')

# nagios server name and webserver vname.  this can be changed to allow for the installation of icinga
case node['platform_family']
when 'rhel', 'amazon'
else
  default['nagios']['server']['vname'] = 'nagios'
end

#default['nagios']['sysadmin_email']              = 'root@localhost'
#default['nagios']['sysadmin_sms_email']          = 'root@localhost'
default['nagios']['server_auth_method']          = 'none'
#default['nagios']['server_auth_require']         = 'valid-user'

default['nagios']['server']['load_databag_config'] = false
default['nagios']['server']['load_default_config'] = false
