nagios_host 'bloomsburyprofessionalonline.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'Bloombsbury Professional Online',
		'address' => 'www.bloomsburyprofessionalonline.com',
		'contact_groups' => 'cs_escalation',
		'notes' => 'fab bpro.restart:app_name=web,environment=prod'
end
nagios_service 'bloomsburyprofessionalonline.com-Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'Homepage',
		'contact_groups' => 'cs_escalation,admins_email_only',
		'check_command' => 'http_content_check!/!8!15!Legislation!',
		'notes' => 'fab bpro.restart:app_name=web,environment=prod'
end
nagios_service 'bloomsburyprofessionalonline.com-Homepage-bpro-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'Homepage bpro-web-3',
		'contact_groups' => 'admins_email_only',
		'check_command' => 'https_content_check_basic_auth_single_node!bpro_aws:bpro2016!/!Legislation!8!15!bpro-web-3!bpro-web-3!',
		'notes' => 'fab bpro.restart:app_name=web,environment=prod'
end
nagios_service 'bloomsburyprofessionalonline.com-Homepage-bpro-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'Homepage bpro-web-4',
		'contact_groups' => 'admins_email_only',
		'check_command' => 'https_content_check_basic_auth_single_node!bpro_aws:bpro2016!/!Legislation!8!15!bpro-web-4!bpro-web-4!',
		'notes' => 'fab bpro.restart:app_name=web,environment=prod'
end
nagios_service 'bloomsburyprofessionalonline.com-Homepage-bpro-webbot-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'Homepage bpro-webbot-2',
		'contact_groups' => 'admins_email_only',
		'check_command' => 'https_content_check_basic_auth_single_node_bot!bpro_aws:bpro2016!/!Legislation!8!15!bpro-webbot-2!bpro-webbot-2!'
end
nagios_service 'bloomsburyprofessionalonline.com-Staging' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'Staging',
		'contact_groups' => 'cs_escalation,admins_email_only',
		'check_command' => 'check_https_basic_auth!staging.bloomsburyprofessionalonline.com!bpro_aws:bpro2016!Bloomsbury!15!9!'
end
nagios_service 'bloomsburyprofessionalonline.com-AMX' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'AMX',
		'contact_groups' => 'cs_escalation,admins_email_only',
		'check_command' => 'check_loader_auth!ams.bloomsburyprofessionalonline.com!/login!bpro_aws:bpro2016!PubFactory!20!10'
end
nagios_service 'bloomsburyprofessionalonline.com-Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'bloomsburyprofessionalonline.com',
		'display_name' => 'Loader',
		'contact_groups' => 'cs_escalation,admins_email_only',
		'check_command' => 'check_loader_auth!admin.bloomsburyprofessionalonline.com!/login!bpro_aws:bpro2016!Bloomsbury!20!10'
end
