#############
# japma     #
#############

##
# Homepage
##
nagios_service 'japmaonline.org-Live Homepage: apma-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-1.irl.pubfactory.net',
		'display_name' => 'Live Homepage: apma-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/!"Journal of the American Podiatric Medical Association"!10!20!apma-web-1-live!apma-web-1.irl.pubfactory.net! --sni',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-1',
		'notes_url' => 'https://japmaonline.org'
end

nagios_service 'japmaonline.org-Live Homepage: apma-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-2.irl.pubfactory.net',
		'display_name' => 'Live Homepage: apma-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/!"Journal of the American Podiatric Medical Association"!10!20!apma-web-2-live!apma-web-2.irl.pubfactory.net! --sni',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-2',
		'notes_url' => 'https://japmaonline.org'
end

##
# Search
##
nagios_service 'japmaonline.org-Live Search: apma-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-1.irl.pubfactory.net',
		'display_name' => 'Live search: apma-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/search!Browse!10!20!apma-web-1-live!apma-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-1',
		'notes_url' => 'https://japmaonline.org/search'
end

nagios_service 'japmaonline.org-Live Search: apma-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-2.irl.pubfactory.net',
		'display_name' => 'Live search: apma-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/search!Browse!10!20!apma-web-2-live!apma-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-2',
		'notes_url' => 'https://japmaonline.org/search'
end

##
# Content
##
nagios_service 'japmaonline.org-Live content view: apma-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-1.irl.pubfactory.net',
		'display_name' => 'Live content view: apma-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/view/journals/apms/aop/21-194/21-194.xml!suicide!10!20!apma-web-1-live!apma-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-1',
		'notes_url' => 'https://japmaonline.org/view/journals/apms/aop/21-194/21-194.xml'
end

nagios_service 'japmaonline.org-Live content view: apma-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-2.irl.pubfactory.net',
		'display_name' => 'Live content view: apma-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/view/journals/apms/aop/21-194/21-194.xml!suicide!10!20!apma-web-2-live!apma-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-2',
		'notes_url' => 'https://japmaonline.org/view/journals/apms/aop/21-194/21-194.xml'
end

##
# AMX
##
nagios_service 'japmaonline.org apma-ams-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-ams-1.irl.pubfactory.net',
		'display_name' => 'Live AMS: apma-ams-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!apma:apma2021!/!"Pubfactory AMS"!10!20!apma-ams-1-live!Pubfactory!86! --sni',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA AMX: apma-ams-1'
end

nagios_service 'japmaonline.org apma-jobs-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-jobs-1.irl.pubfactory.net',
		'display_name' => 'Live AMS: apma-jobs-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!apma:apma2021!/!"Pubfactory AMS error"!10!20!apma-jobs-1-live!Pubfactory!86! --sni',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA AMX: apma-jobs-1'
end

##
# FAIL OPEN
##
nagios_service 'japmaonline.org-Live Site Fail Open' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'japmaonline.org',
		'display_name' => 'Live Site Fail Open',
		'check_command' => 'http_negate_content_check_basic_auth!japmaonline.org!apma:apma2021!"provisional account"',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site Failopen',
		'notes_url' => 'https://japmaonline.org/'
end
